Bug 1418436 - [RFE] Containerized deployment of Glance service
Summary: [RFE] Containerized deployment of Glance service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: Upstream M2
: 12.0 (Pike)
Assignee: Emilien Macchi
QA Contact: Mike Abrams
URL:
Whiteboard:
Depends On:
Blocks: 1442136 1415556
TreeView+ depends on / blocked
 
Reported: 2017-02-01 20:08 UTC by Sean Cohen
Modified: 2018-02-05 19:04 UTC (History)
15 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.0-0.20170616123155.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-13 21:06:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 400870 0 None None None 2017-05-02 23:55:33 UTC
Red Hat Product Errata RHEA-2017:3462 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Sean Cohen 2017-02-01 20:08:23 UTC
Provide customers more stable, flexible, reliable and faster storage service deployments with more reliable and flexible lifecycle management and possibility to rollback when something goes wrong.

Comment 8 Mike Abrams 2017-09-25 05:18:04 UTC
VERIFIED


tempest run:
http://file.tlv.redhat.com/~mabrams/openstack/glance/RHOS12/RFEs/1300585/ostestr-tempest.api.image.v2.out

---

(undercloud) [stack@undercloud-0 ~]$ for i in `cat controllers`; do echo "=== $i"; ssh -t heat-admin@$i "sudo docker exec -it glance_api sh -c 'ls -lart /var/log/glance/api.log'"; done
=== 192.168.24.17
-rw-r--r--. 1 glance glance 34410218 Sep 25 05:09 /var/log/glance/api.log
Connection to 192.168.24.17 closed.
=== 192.168.24.12
-rw-r--r--. 1 glance glance 34258486 Sep 25 05:09 /var/log/glance/api.log
Connection to 192.168.24.12 closed.
=== 192.168.24.20
-rw-r--r--. 1 glance glance 34258657 Sep 25 05:09 /var/log/glance/api.log
Connection to 192.168.24.20 closed.
(undercloud) [stack@undercloud-0 ~]$

---

(undercloud) [stack@undercloud-0 ~]$ for i in `cat controllers`; do echo "=== $i"; ssh -t heat-admin@$i "sudo docker logs glance_api "; done
=== 192.168.24.17
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/glance/glance-api.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-api.conf to /etc/glance/glance-api.conf
INFO:__main__:Deleting /etc/glance/glance-cache.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-cache.conf to /etc/glance/glance-cache.conf
INFO:__main__:Deleting /etc/glance/glance-swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-swift.conf to /etc/glance/glance-swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/my.cnf.d/tripleo.cnf to /etc/my.cnf.d/tripleo.cnf
INFO:__main__:Copying /var/lib/kolla/config_files/src-ceph/rbdmap to /etc/ceph/rbdmap
INFO:__main__:Writing out command to execute
Running command: '/usr/bin/glance-api --config-file /usr/share/glance/glance-api-dist.conf --config-file /etc/glance/glance-api.conf'
/usr/lib/python2.7/site-packages/glance/common/wsgi.py:1214: DeprecationWarning: Using function/method 'TasksController.create()' is deprecated: The task API is being deprecated and it will be superseded by the new image import API. Please refer to this link for more information about the aforementioned process: https://specs.openstack.org/openstack/glance-specs/specs/mitaka/approved/image-import/image-import-refactor.html
  return method(*args, **kwargs)
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1328: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade
  expire_on_commit=expire_on_commit, _conf=conf)
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1328: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade
  expire_on_commit=expire_on_commit, _conf=conf)
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/glance/glance-cache.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-cache.conf to /etc/glance/glance-cache.conf
INFO:__main__:Deleting /etc/glance/glance-swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-swift.conf to /etc/glance/glance-swift.conf
INFO:__main__:Deleting /etc/glance/glance-api.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-api.conf to /etc/glance/glance-api.conf
INFO:__main__:Deleting /etc/my.cnf.d/tripleo.cnf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/my.cnf.d/tripleo.cnf to /etc/my.cnf.d/tripleo.cnf
INFO:__main__:Deleting /etc/ceph/rbdmap
INFO:__main__:Copying /var/lib/kolla/config_files/src-ceph/rbdmap to /etc/ceph/rbdmap
INFO:__main__:Writing out command to execute
Running command: '/usr/bin/glance-api --config-file /usr/share/glance/glance-api-dist.conf --config-file /etc/glance/glance-api.conf'
/usr/lib/python2.7/site-packages/paste/deploy/util.py:55: DeprecationWarning: Using function/method 'Healthcheck.factory()' is deprecated: The healthcheck middleware must now be configured as an application, not as a filter
  val = callable(*args, **kw)
/usr/lib/python2.7/site-packages/oslo_middleware/cors.py:136: DeprecationWarning: Method 'instancemethod.set_latent()' has moved to 'instancemethod.set_defaults()': CORS.set_latent has been deprecated in favor of oslo_middleware.cors.set_defaults
  allow_methods=sanitize(self.conf.get('latent_allow_methods'))
/usr/lib/python2.7/site-packages/glance/common/wsgi.py:1214: DeprecationWarning: Using function/method 'TasksController.create()' is deprecated: The task API is being deprecated and it will be superseded by the new image import API. Please refer to this link for more information about the aforementioned process: https://specs.openstack.org/openstack/glance-specs/specs/mitaka/approved/image-import/image-import-refactor.html
  return method(*args, **kwargs)
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1328: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade
  expire_on_commit=expire_on_commit, _conf=conf)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/eventlet/greenpool.py", line 88, in _spawn_n_impl
    func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/glance/domain/proxy.py", line 238, in run
    self.base.run(executor)
  File "/usr/lib/python2.7/site-packages/glance/notifier.py", line 581, in run
    super(TaskProxy, self).run(executor)
  File "/usr/lib/python2.7/site-packages/glance/domain/proxy.py", line 238, in run
    self.base.run(executor)
  File "/usr/lib/python2.7/site-packages/glance/domain/proxy.py", line 238, in run
    self.base.run(executor)
  File "/usr/lib/python2.7/site-packages/glance/domain/__init__.py", line 439, in run
    executor.begin_processing(self.task_id)
  File "/usr/lib/python2.7/site-packages/glance/async/taskflow_executor.py", line 143, in begin_processing
    super(TaskExecutor, self).begin_processing(task_id)
  File "/usr/lib/python2.7/site-packages/glance/async/__init__.py", line 63, in begin_processing
    self._run(task_id, task.type)
  File "/usr/lib/python2.7/site-packages/glance/async/taskflow_executor.py", line 181, in _run
    self.task_repo.save(task)
  File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
    self.force_reraise()
  File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
    six.reraise(self.type_, self.value, self.tb)
  File "/usr/lib/python2.7/site-packages/glance/async/taskflow_executor.py", line 172, in _run
    engine.run()
  File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/engine.py", line 247, in run
    for _state in self.run_iter(timeout=timeout):
  File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/engine.py", line 328, in run_iter
    self._change_state(states.FAILURE)
  File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
    self.force_reraise()
  File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
    six.reraise(self.type_, self.value, self.tb)
  File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/engine.py", line 300, in run_iter
    failure.Failure.reraise_if_any(memory.failures)
  File "/usr/lib/python2.7/site-packages/taskflow/types/failure.py", line 336, in reraise_if_any
    failures[0].reraise()
  File "/usr/lib/python2.7/site-packages/taskflow/types/failure.py", line 343, in reraise
    six.reraise(*self._exc_info)
  File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/executor.py", line 72, in _revert_task
    result = task.revert(**arguments)
  File "/usr/lib/python2.7/site-packages/glance/async/flows/base_import.py", line 185, in revert
    store_api.delete_from_backend(result)
  File "/usr/lib/python2.7/site-packages/glance_store/backend.py", line 371, in delete_from_backend
    loc = location.get_location_from_uri(uri, conf=CONF)
  File "/usr/lib/python2.7/site-packages/glance_store/location.py", line 73, in get_location_from_uri
    raise exceptions.UnknownScheme(scheme=pieces.scheme)
UnknownScheme: Unknown scheme 'file' found in URI
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1328: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade
  expire_on_commit=expire_on_commit, _conf=conf)
/usr/lib/python2.7/site-packages/glance/common/wsgi.py:1214: DeprecationWarning: Using function/method 'TasksController.create()' is deprecated: The task API is being deprecated and it will be superseded by the new image import API. Please refer to this link for more information about the aforementioned process: https://specs.openstack.org/openstack/glance-specs/specs/mitaka/approved/image-import/image-import-refactor.html
  return method(*args, **kwargs)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/eventlet/greenpool.py", line 88, in _spawn_n_impl
    func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/glance/domain/proxy.py", line 238, in run
    self.base.run(executor)
  File "/usr/lib/python2.7/site-packages/glance/notifier.py", line 581, in run
    super(TaskProxy, self).run(executor)
  File "/usr/lib/python2.7/site-packages/glance/domain/proxy.py", line 238, in run
    self.base.run(executor)
  File "/usr/lib/python2.7/site-packages/glance/domain/proxy.py", line 238, in run
    self.base.run(executor)
  File "/usr/lib/python2.7/site-packages/glance/domain/__init__.py", line 439, in run
    executor.begin_processing(self.task_id)
  File "/usr/lib/python2.7/site-packages/glance/async/taskflow_executor.py", line 143, in begin_processing
    super(TaskExecutor, self).begin_processing(task_id)
  File "/usr/lib/python2.7/site-packages/glance/async/__init__.py", line 63, in begin_processing
    self._run(task_id, task.type)
  File "/usr/lib/python2.7/site-packages/glance/async/taskflow_executor.py", line 181, in _run
    self.task_repo.save(task)
  File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
    self.force_reraise()
  File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
    six.reraise(self.type_, self.value, self.tb)
  File "/usr/lib/python2.7/site-packages/glance/async/taskflow_executor.py", line 172, in _run
    engine.run()
  File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/engine.py", line 247, in run
    for _state in self.run_iter(timeout=timeout):
  File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/engine.py", line 328, in run_iter
    self._change_state(states.FAILURE)
  File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
    self.force_reraise()
  File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
    six.reraise(self.type_, self.value, self.tb)
  File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/engine.py", line 300, in run_iter
    failure.Failure.reraise_if_any(memory.failures)
  File "/usr/lib/python2.7/site-packages/taskflow/types/failure.py", line 336, in reraise_if_any
    failures[0].reraise()
  File "/usr/lib/python2.7/site-packages/taskflow/types/failure.py", line 343, in reraise
    six.reraise(*self._exc_info)
  File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/executor.py", line 72, in _revert_task
    result = task.revert(**arguments)
  File "/usr/lib/python2.7/site-packages/glance/async/flows/base_import.py", line 185, in revert
    store_api.delete_from_backend(result)
  File "/usr/lib/python2.7/site-packages/glance_store/backend.py", line 371, in delete_from_backend
    loc = location.get_location_from_uri(uri, conf=CONF)
  File "/usr/lib/python2.7/site-packages/glance_store/location.py", line 73, in get_location_from_uri
    raise exceptions.UnknownScheme(scheme=pieces.scheme)
UnknownScheme: Unknown scheme 'file' found in URI
/usr/lib/python2.7/site-packages/glance/common/wsgi.py:1214: DeprecationWarning: Using function/method 'TasksController.create()' is deprecated: The task API is being deprecated and it will be superseded by the new image import API. Please refer to this link for more information about the aforementioned process: https://specs.openstack.org/openstack/glance-specs/specs/mitaka/approved/image-import/image-import-refactor.html
  return method(*args, **kwargs)
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/eventlet/greenpool.py", line 88, in _spawn_n_impl
    func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/glance/domain/proxy.py", line 238, in run
    self.base.run(executor)
  File "/usr/lib/python2.7/site-packages/glance/notifier.py", line 581, in run
    super(TaskProxy, self).run(executor)
  File "/usr/lib/python2.7/site-packages/glance/domain/proxy.py", line 238, in run
    self.base.run(executor)
  File "/usr/lib/python2.7/site-packages/glance/domain/proxy.py", line 238, in run
    self.base.run(executor)
  File "/usr/lib/python2.7/site-packages/glance/domain/__init__.py", line 439, in run
    executor.begin_processing(self.task_id)
  File "/usr/lib/python2.7/site-packages/glance/async/taskflow_executor.py", line 143, in begin_processing
    super(TaskExecutor, self).begin_processing(task_id)
  File "/usr/lib/python2.7/site-packages/glance/async/__init__.py", line 63, in begin_processing
    self._run(task_id, task.type)
  File "/usr/lib/python2.7/site-packages/glance/async/taskflow_executor.py", line 181, in _run
    self.task_repo.save(task)
  File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
    self.force_reraise()
  File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
    six.reraise(self.type_, self.value, self.tb)
  File "/usr/lib/python2.7/site-packages/glance/async/taskflow_executor.py", line 172, in _run
    engine.run()
  File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/engine.py", line 247, in run
    for _state in self.run_iter(timeout=timeout):
  File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/engine.py", line 328, in run_iter
    self._change_state(states.FAILURE)
  File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 220, in __exit__
    self.force_reraise()
  File "/usr/lib/python2.7/site-packages/oslo_utils/excutils.py", line 196, in force_reraise
    six.reraise(self.type_, self.value, self.tb)
  File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/engine.py", line 300, in run_iter
    failure.Failure.reraise_if_any(memory.failures)
  File "/usr/lib/python2.7/site-packages/taskflow/types/failure.py", line 336, in reraise_if_any
    failures[0].reraise()
  File "/usr/lib/python2.7/site-packages/taskflow/types/failure.py", line 343, in reraise
    six.reraise(*self._exc_info)
  File "/usr/lib/python2.7/site-packages/taskflow/engines/action_engine/executor.py", line 72, in _revert_task
    result = task.revert(**arguments)
  File "/usr/lib/python2.7/site-packages/glance/async/flows/base_import.py", line 185, in revert
    store_api.delete_from_backend(result)
  File "/usr/lib/python2.7/site-packages/glance_store/backend.py", line 371, in delete_from_backend
    loc = location.get_location_from_uri(uri, conf=CONF)
  File "/usr/lib/python2.7/site-packages/glance_store/location.py", line 73, in get_location_from_uri
    raise exceptions.UnknownScheme(scheme=pieces.scheme)
UnknownScheme: Unknown scheme 'file' found in URI
/usr/lib/python2.7/site-packages/keystoneclient/v3/client.py:206: DeprecationWarning: Using the 'tenant_name' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_name' argument instead
  super(Client, self).__init__(**kwargs)
/usr/lib/python2.7/site-packages/debtcollector/renames.py:43: DeprecationWarning: Using the 'tenant_id' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_id' argument instead
  return wrapped(*args, **kwargs)
/usr/lib/python2.7/site-packages/keystoneclient/httpclient.py:368: DeprecationWarning: Constructing an HTTPClient instance without using a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
  'the 2.0.0 release.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/session.py:145: DeprecationWarning: keystoneclient.session.Session is deprecated as of the 2.1.0 release in favor of keystoneauth1.session.Session. It will be removed in future releases.
  DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/v3/client.py:213: DeprecationWarning: Constructing an instance of the keystoneclient.v3.client.Client class without a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
  'the 2.0.0 release.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/auth/identity/base.py:55: DeprecationWarning: keystoneclient auth plugins are deprecated as of the 2.1.0 release in favor of keystoneauth1 plugins. They will be removed in future releases.
  'in future releases.', DeprecationWarning)
Connection to 192.168.24.17 closed.
=== 192.168.24.12
Running command: '/usr/bin/glance-api --config-file /usr/share/glance/glance-api-dist.conf --config-file /etc/glance/glance-api.conf'
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1328: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade
  expire_on_commit=expire_on_commit, _conf=conf)
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1328: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade
  expire_on_commit=expire_on_commit, _conf=conf)
/usr/lib/python2.7/site-packages/keystoneclient/v3/client.py:206: DeprecationWarning: Using the 'tenant_name' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_name' argument instead
  super(Client, self).__init__(**kwargs)
/usr/lib/python2.7/site-packages/debtcollector/renames.py:43: DeprecationWarning: Using the 'tenant_id' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_id' argument instead
  return wrapped(*args, **kwargs)
/usr/lib/python2.7/site-packages/keystoneclient/httpclient.py:368: DeprecationWarning: Constructing an HTTPClient instance without using a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
  'the 2.0.0 release.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/session.py:145: DeprecationWarning: keystoneclient.session.Session is deprecated as of the 2.1.0 release in favor of keystoneauth1.session.Session. It will be removed in future releases.
  DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/v3/client.py:213: DeprecationWarning: Constructing an instance of the keystoneclient.v3.client.Client class without a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
  'the 2.0.0 release.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/auth/identity/base.py:55: DeprecationWarning: keystoneclient auth plugins are deprecated as of the 2.1.0 release in favor of keystoneauth1 plugins. They will be removed in future releases.
  'in future releases.', DeprecationWarning)
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/glance/glance-cache.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-cache.conf to /etc/glance/glance-cache.conf
INFO:__main__:Deleting /etc/glance/glance-swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-swift.conf to /etc/glance/glance-swift.conf
INFO:__main__:Deleting /etc/glance/glance-api.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-api.conf to /etc/glance/glance-api.conf
INFO:__main__:Deleting /etc/my.cnf.d/tripleo.cnf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/my.cnf.d/tripleo.cnf to /etc/my.cnf.d/tripleo.cnf
INFO:__main__:Deleting /etc/ceph/rbdmap
INFO:__main__:Copying /var/lib/kolla/config_files/src-ceph/rbdmap to /etc/ceph/rbdmap
INFO:__main__:Writing out command to execute
Running command: '/usr/bin/glance-api --config-file /usr/share/glance/glance-api-dist.conf --config-file /etc/glance/glance-api.conf'
/usr/lib/python2.7/site-packages/paste/deploy/util.py:55: DeprecationWarning: Using function/method 'Healthcheck.factory()' is deprecated: The healthcheck middleware must now be configured as an application, not as a filter
  val = callable(*args, **kw)
/usr/lib/python2.7/site-packages/oslo_middleware/cors.py:136: DeprecationWarning: Method 'instancemethod.set_latent()' has moved to 'instancemethod.set_defaults()': CORS.set_latent has been deprecated in favor of oslo_middleware.cors.set_defaults
  allow_methods=sanitize(self.conf.get('latent_allow_methods'))
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1328: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade
  expire_on_commit=expire_on_commit, _conf=conf)
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1328: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade
  expire_on_commit=expire_on_commit, _conf=conf)
/usr/lib/python2.7/site-packages/keystoneclient/v3/client.py:206: DeprecationWarning: Using the 'tenant_name' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_name' argument instead
  super(Client, self).__init__(**kwargs)
/usr/lib/python2.7/site-packages/debtcollector/renames.py:43: DeprecationWarning: Using the 'tenant_id' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_id' argument instead
  return wrapped(*args, **kwargs)
/usr/lib/python2.7/site-packages/keystoneclient/httpclient.py:368: DeprecationWarning: Constructing an HTTPClient instance without using a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
  'the 2.0.0 release.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/session.py:145: DeprecationWarning: keystoneclient.session.Session is deprecated as of the 2.1.0 release in favor of keystoneauth1.session.Session. It will be removed in future releases.
  DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/v3/client.py:213: DeprecationWarning: Constructing an instance of the keystoneclient.v3.client.Client class without a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
  'the 2.0.0 release.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/auth/identity/base.py:55: DeprecationWarning: keystoneclient auth plugins are deprecated as of the 2.1.0 release in favor of keystoneauth1 plugins. They will be removed in future releases.
  'in future releases.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/v3/client.py:206: DeprecationWarning: Using the 'tenant_name' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_name' argument instead
  super(Client, self).__init__(**kwargs)
/usr/lib/python2.7/site-packages/debtcollector/renames.py:43: DeprecationWarning: Using the 'tenant_id' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_id' argument instead
  return wrapped(*args, **kwargs)
/usr/lib/python2.7/site-packages/keystoneclient/httpclient.py:368: DeprecationWarning: Constructing an HTTPClient instance without using a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
  'the 2.0.0 release.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/session.py:145: DeprecationWarning: keystoneclient.session.Session is deprecated as of the 2.1.0 release in favor of keystoneauth1.session.Session. It will be removed in future releases.
  DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/v3/client.py:213: DeprecationWarning: Constructing an instance of the keystoneclient.v3.client.Client class without a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
  'the 2.0.0 release.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/auth/identity/base.py:55: DeprecationWarning: keystoneclient auth plugins are deprecated as of the 2.1.0 release in favor of keystoneauth1 plugins. They will be removed in future releases.
  'in future releases.', DeprecationWarning)
Connection to 192.168.24.12 closed.
=== 192.168.24.20
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/glance/glance-api.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-api.conf to /etc/glance/glance-api.conf
INFO:__main__:Deleting /etc/glance/glance-cache.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-cache.conf to /etc/glance/glance-cache.conf
INFO:__main__:Deleting /etc/glance/glance-swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-swift.conf to /etc/glance/glance-swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/my.cnf.d/tripleo.cnf to /etc/my.cnf.d/tripleo.cnf
INFO:__main__:Copying /var/lib/kolla/config_files/src-ceph/rbdmap to /etc/ceph/rbdmap
INFO:__main__:Writing out command to execute
Running command: '/usr/bin/glance-api --config-file /usr/share/glance/glance-api-dist.conf --config-file /etc/glance/glance-api.conf'
/usr/lib/python2.7/site-packages/paste/deploy/util.py:55: DeprecationWarning: Using function/method 'Healthcheck.factory()' is deprecated: The healthcheck middleware must now be configured as an application, not as a filter
  val = callable(*args, **kw)
/usr/lib/python2.7/site-packages/oslo_middleware/cors.py:136: DeprecationWarning: Method 'instancemethod.set_latent()' has moved to 'instancemethod.set_defaults()': CORS.set_latent has been deprecated in favor of oslo_middleware.cors.set_defaults
  allow_methods=sanitize(self.conf.get('latent_allow_methods'))
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1328: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade
  expire_on_commit=expire_on_commit, _conf=conf)
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1328: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade
  expire_on_commit=expire_on_commit, _conf=conf)
INFO:__main__:Loading config file at /var/lib/kolla/config_files/config.json
INFO:__main__:Validating config file
INFO:__main__:Kolla config strategy set to: COPY_ALWAYS
INFO:__main__:Copying service configuration files
INFO:__main__:Deleting /etc/glance/glance-cache.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-cache.conf to /etc/glance/glance-cache.conf
INFO:__main__:Deleting /etc/glance/glance-swift.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-swift.conf to /etc/glance/glance-swift.conf
INFO:__main__:Deleting /etc/glance/glance-api.conf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/glance/glance-api.conf to /etc/glance/glance-api.conf
INFO:__main__:Deleting /etc/my.cnf.d/tripleo.cnf
INFO:__main__:Copying /var/lib/kolla/config_files/src/etc/my.cnf.d/tripleo.cnf to /etc/my.cnf.d/tripleo.cnf
INFO:__main__:Deleting /etc/ceph/rbdmap
INFO:__main__:Copying /var/lib/kolla/config_files/src-ceph/rbdmap to /etc/ceph/rbdmap
INFO:__main__:Writing out command to execute
Running command: '/usr/bin/glance-api --config-file /usr/share/glance/glance-api-dist.conf --config-file /etc/glance/glance-api.conf'
/usr/lib/python2.7/site-packages/paste/deploy/util.py:55: DeprecationWarning: Using function/method 'Healthcheck.factory()' is deprecated: The healthcheck middleware must now be configured as an application, not as a filter
  val = callable(*args, **kw)
/usr/lib/python2.7/site-packages/oslo_middleware/cors.py:136: DeprecationWarning: Method 'instancemethod.set_latent()' has moved to 'instancemethod.set_defaults()': CORS.set_latent has been deprecated in favor of oslo_middleware.cors.set_defaults
  allow_methods=sanitize(self.conf.get('latent_allow_methods'))
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1328: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade
  expire_on_commit=expire_on_commit, _conf=conf)
/usr/lib/python2.7/site-packages/oslo_db/sqlalchemy/enginefacade.py:1328: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade
  expire_on_commit=expire_on_commit, _conf=conf)
/usr/lib/python2.7/site-packages/keystoneclient/v3/client.py:206: DeprecationWarning: Using the 'tenant_name' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_name' argument instead
  super(Client, self).__init__(**kwargs)
/usr/lib/python2.7/site-packages/debtcollector/renames.py:43: DeprecationWarning: Using the 'tenant_id' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_id' argument instead
  return wrapped(*args, **kwargs)
/usr/lib/python2.7/site-packages/keystoneclient/httpclient.py:368: DeprecationWarning: Constructing an HTTPClient instance without using a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
  'the 2.0.0 release.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/session.py:145: DeprecationWarning: keystoneclient.session.Session is deprecated as of the 2.1.0 release in favor of keystoneauth1.session.Session. It will be removed in future releases.
  DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/v3/client.py:213: DeprecationWarning: Constructing an instance of the keystoneclient.v3.client.Client class without a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
  'the 2.0.0 release.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/auth/identity/base.py:55: DeprecationWarning: keystoneclient auth plugins are deprecated as of the 2.1.0 release in favor of keystoneauth1 plugins. They will be removed in future releases.
  'in future releases.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/v3/client.py:206: DeprecationWarning: Using the 'tenant_name' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_name' argument instead
  super(Client, self).__init__(**kwargs)
/usr/lib/python2.7/site-packages/debtcollector/renames.py:43: DeprecationWarning: Using the 'tenant_id' argument is deprecated in version '1.7.0' and will be removed in version '2.0.0', please use the 'project_id' argument instead
  return wrapped(*args, **kwargs)
/usr/lib/python2.7/site-packages/keystoneclient/httpclient.py:368: DeprecationWarning: Constructing an HTTPClient instance without using a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
  'the 2.0.0 release.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/session.py:145: DeprecationWarning: keystoneclient.session.Session is deprecated as of the 2.1.0 release in favor of keystoneauth1.session.Session. It will be removed in future releases.
  DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/v3/client.py:213: DeprecationWarning: Constructing an instance of the keystoneclient.v3.client.Client class without a session is deprecated as of the 1.7.0 release and may be removed in the 2.0.0 release.
  'the 2.0.0 release.', DeprecationWarning)
/usr/lib/python2.7/site-packages/keystoneclient/auth/identity/base.py:55: DeprecationWarning: keystoneclient auth plugins are deprecated as of the 2.1.0 release in favor of keystoneauth1 plugins. They will be removed in future releases.
  'in future releases.', DeprecationWarning)
Connection to 192.168.24.20 closed.
(undercloud) [stack@undercloud-0 ~]$

---

(undercloud) [stack@undercloud-0 ~]$ for i in `cat controllers`; do echo "=== $i"; ssh -t heat-admin@$i "sudo docker restart glance_api "; done
=== 192.168.24.17
glance_api
Connection to 192.168.24.17 closed.
=== 192.168.24.12
glance_api
Connection to 192.168.24.12 closed.
=== 192.168.24.20
glance_api
Connection to 192.168.24.20 closed.
(undercloud) [stack@undercloud-0 ~]$ for i in `cat controllers`; do echo "=== $i"; ssh -t heat-admin@$i "sudo docker ps | grep glance_api "; done
=== 192.168.24.17
8d61925598ae        192.168.24.1:8787/rhosp12/openstack-glance-api-docker:2017-09-22.5                "kolla_start"            20 hours ago        Up 11 seconds (health: starting)                       glance_api
Connection to 192.168.24.17 closed.
=== 192.168.24.12
c9be3ce497ab        192.168.24.1:8787/rhosp12/openstack-glance-api-docker:2017-09-22.5                "kolla_start"            20 hours ago        Up 11 seconds (health: starting)                       glance_api
Connection to 192.168.24.12 closed.
=== 192.168.24.20
7ac2fcf135ef        192.168.24.1:8787/rhosp12/openstack-glance-api-docker:2017-09-22.5                "kolla_start"            20 hours ago        Up 11 seconds (health: starting)                       glance_api
Connection to 192.168.24.20 closed.
(undercloud) [stack@undercloud-0 ~]$

Comment 11 errata-xmlrpc 2017-12-13 21:06:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.